Skip to content
Changelog

Report a bug

HackerRank Work integration: operations for AI agents

HackerRank Work connects to Type.com as an integration. This page lists the 73 operations documented for Claude and Codex in Type.com: 30 read, 17 write, 26 destructive.

About HackerRank Work

HackerRank Work enables coding interviews and technical assessments, providing developers with challenges and real-time collaboration for data-driven hiring decisions

Categories: Developer Tools & IT

How to connect HackerRank Work to Type.com

Access
Organization connection: one shared account for the workspace.

To add the connection, follow the steps in Space connections.

Documented operations

73 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

73 operations listed.

Users

  • Read

    List all users

    Returns the list of your users.

  • Read

    Retrieve user

    Retrieves the details of an existing user. You need only supply the unique customer identifier that was returned upon user creation.

  • Read

    Search users

    GET /x/api/v3/users/search?search={search_string}&limit={limit}&offset={offset}

  • Write

    Create user

    Create a new user object.

  • Destructive

    Update user

    Updates the specified user by setting the values of the parameters passed. Any parameters not provided will be left unchanged. This request accepts mostly the same arguments as the user creation call.

  • Destructive

    Lock user

    Lock a user. This will also remove user from all the team that they are currently part of.

Teams

  • Read

    List all teams

    GET /x/api/v3/teams?limit={limit}&offset={offset}

  • Read

    Retrieve team

    GET /x/api/v3/teams/{id}

  • Write

    Create team

    POST /x/api/v3/teams

  • Destructive

    Update team

    PUT /x/api/v3/teams/{id}

  • Destructive

    Deletes team

    Deletes an empty team

User Membership

  • Read

    List all memberships

    GET /x/api/v3/teams/{team_id}/users?limit={limit}&offset={offset}

  • Read

    Retrieve membership

    GET /x/api/v3/teams/{team_id}/users/{user_id}

  • Write

    Create membership

    POST /x/api/v3/teams/{team_id}/users/{user_id}?license={license}

  • Destructive

    Removes membership

    DELETE /x/api/v3/teams/{team_id}/users/{user_id}

Tests

  • Read

    List all tests

    GET /x/api/v3/tests?limit={limit}&offset={offset}

  • Read

    Retrieve test

    GET /x/api/v3/tests/{id}?additional_fields={additional_fields}

  • Read

    List all inviters for a test

    GET /x/api/v3/tests/{id}/inviters

  • Write

    Create test

    POST /x/api/v3/tests

  • Write

    Archives test

    POST /x/api/v3/tests/{id}/archive

  • Destructive

    Update test

    PUT /x/api/v3/tests/{id}

  • Destructive

    Deletes test

    DELETE /x/api/v3/tests/{id}

Candidates

  • Read

    Search candidates

    Searches candidates by name or email and returns accessible test attempt results for each matching candidate. Pagination is applied to candidate matches.

Test Candidate

  • Read

    List all candidates

    GET /x/api/v3/tests/{test_id}/candidates?limit={limit}&offset={offset}

  • Read

    Show candidate

    GET /x/api/v3/tests/{test_id}/candidates/{candidate_id}?additional_fields={additional_fields}

  • Read

    Get report pdf

    In case of a 503 HTTP Status, please try downloading the pdf after some time.

  • Read

    Search candidates

    GET /x/api/v3/tests/{test_id}/candidates/search?search={search}&limit={limit}&offset={offset}

  • Write

    Invite candidate

    Invites a single candidate to the test. Note: Multiple invitations are not supported through this endpoint.

  • Destructive

    Update candidate

    PUT /x/api/v3/tests/{test_id}/candidates/{candidate_id}

  • Destructive

    Delete report

    DELETE /x/api/v3/tests/{test_id}/candidates/{candidate_id}/report

  • Destructive

    Cancel invite

    DELETE /x/api/v3/tests/{test_id}/candidates/{candidate_id}/invite

Interviews

  • Read

    List all interviews

    Returns the list of your interviews

  • Read

    Show interview

    GET /x/api/v3/interviews/{interview_id}

  • Read

    Get interview artifacts

    Returns question artifact download links, a transcript descriptor, and interviewer note references for an ended Interviews V2 interview.

  • Read

    Show interview transcript

    Returns the transcript of your interview

  • Write

    Create interview

    POST /x/api/v3/interviews

  • Destructive

    Update interview

    PUT /x/api/v3/interviews/{interview_id}

  • Destructive

    Delete interview

    DELETE /x/api/v3/interviews/{interview_id}

Interview Templates

  • Read

    List all interview templates

    Returns the list of interview templates accessible to the user

  • Read

    Show interview template

    Returns the details of a single interview template.

  • Write

    Create interview template

    Creates a new interview template. Requires CREATEEDIT entitlement when flexible roles is enabled. Question IDs and skill unique IDs must be accessible to the current user.

  • Write

    Share interview template

    Grants or updates sharing access to an interview template for one or more users, teams, or the company. Requires interview write permission on the template.

  • Destructive

    Update interview template

    Updates an existing interview template. Only the template owner, company admins with explicit sharing enabled, or users with explicit editor access can update. Only provided fields are updated; omitted fields remain unchanged.

  • Destructive

    Delete interview template

    Deletes an interview template. Only the template owner or company admins with explicit sharing enabled can delete a template.

  • Destructive

    Add questions to interview template

    Adds multiple questions to an existing interview template. Requires write access to the interview template. Question IDs must be accessible to the current user.

  • Destructive

    Remove question from interview template

    Removes a question from an existing interview template. Requires write access to the interview template.

  • Destructive

    Unshare interview template

    Revokes sharing access to an interview template for one or more users, teams, or the company. Requires interview write permission on the template.

Questions

  • Read

    List all questions

    GET /x/api/v3/questions

  • Read

    Show question

    GET /x/api/v3/questions/{question_id}

  • Write

    Create Question

    POST /x/api/v3/questions

  • Write

    Add testcase

    POST /x/api/v3/questions/{question_id}/testcases

  • Destructive

    Update question

    PUT /x/api/v3/questions/{question_id}

  • Destructive

    Generate codestubs

    PUT /x/api/v3/questions/{question_id}/generate

  • Destructive

    Update codestubs

    PUT /x/api/v3/questions/{question_id}/custom_codestubs

  • Destructive

    Update testcase

    PUT /x/api/v3/questions/{question_id}/testcases/{testcase_id}

  • Destructive

    Delete testcase

    DELETE /x/api/v3/questions/{question_id}/testcases/{testcase_id}

  • Destructive

    Delete All testcases

    DELETE /x/api/v3/questions/{question_id}/testcases/delete_all

Templates

  • Read

    List all invite templates

    GET /x/api/v3/templates

  • Read

    Show invite template

    GET /x/api/v3/templates/{template_id}

Audit Logs

  • Read

    List all audit logs

    Returns the list of audit logs.

ATS Code Screen

  • Write

    ATS Candidate Invite

    Use this API when sending an invite from an ATS system. This API requires a requisitionid and candidateid, which allows HackerRank to track a single candidate across multiple requisitions who are sent the same test.

ATS Codepair

  • Write

    ATS Interview Invite

    Use this API when sending an interview invite from an ATS system. This API requires a title, requisitionid and candidateid. This API is only enabled for approved integrations, a partner key from HackerRank is required in the request.

SCIM v2

  • Read

    List Users

    Returns the list of your users. When returning a large list of users, your SCIM implementation must support pagination. In order to retrieve additional resources, the offset query parameter can be incremented for subsequent requests.

  • Read

    Retrieve User

    Retrieves the details of an existing user. You need only supply the unique customer identifier that was returned upon user creation.

  • Read

    List Teams

    Returns the list of your teams. When returning a large list of teams, your SCIM implementation must support pagination. In order to retrieve additional resources, the offset query parameter can be incremented for subsequent requests.

  • Read

    Retrieve Team

    Retrieves the details of an existing Team. You need only supply the unique customer identifier that was returned upon Team creation.

  • Write

    Create User

    Create a new user object.

  • Write

    Edit User - PATCH

    Updates the specified user by setting the values of the parameters passed. Any parameters not provided will be left unchanged. This request accepts mostly the same arguments as the user creation call.

  • Write

    Create Team

    Create a new team object

  • Write

    Update Team

    Update the team's information using the operations provided.

  • Destructive

    Edit User - PUT

    Updates the specified user by setting the values of the parameters passed. Any parameters not provided will be left unchanged. This request accepts mostly the same arguments as the user creation call.

  • Destructive

    Lock User

    Lock a user. This will also remove user from all the team that they are currently part of.

  • Destructive

    Deprovision Team

    Locks all HackerRank Users belonging to this Team.

See How connections work for access and permissions, or browse all integrations.